Run of fresh-snapshots for ocaml-dssi

Merge these changes:

git pull https://janitor.debian.net/git/ocaml-dssi fresh-snapshots/main
git pull https://janitor.debian.net/git/ocaml-dssi fresh-snapshots/pristine-tar
git pull https://janitor.debian.net/git/ocaml-dssi fresh-snapshots/upstream

Summary

Merged new upstream version: 0.1.5+git20220111.1.9e75cbb (was: 0.1.5).

Diff

Branch: main

diff --git a/debian/changelog b/debian/changelog
index c66f007..6868dc4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+ocaml-dssi (0.1.5+git20220111.1.9e75cbb-1) UNRELEASED; urgency=low
+
+  * New upstream snapshot.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 11 May 2022 03:25:26 -0000
+
 ocaml-dssi (0.1.5-1) unstable; urgency=medium
 
   * Team upload
diff --git a/dssi.opam b/dssi.opam
index bda950e..95c3ee1 100644
--- a/dssi.opam
+++ b/dssi.opam
@@ -10,6 +10,7 @@ bug-reports: "https://github.com/savonet/ocaml-dssi/issues"
 depends: [
   "dune" {>= "2.8"}
   "dune-configurator"
+  "ocaml" {>= "4.08"}
   "ladspa" {>= "0.2.1"}
   "conf-dssi"
   "odoc" {with-doc}
diff --git a/dune-project b/dune-project
index 41b7527..e4bc5c7 100644
--- a/dune-project
+++ b/dune-project
@@ -15,6 +15,7 @@
  (depends
   dune
   dune-configurator
+  (ocaml (>= 4.08))
   (ladspa (>= 0.2.1))
   conf-dssi)
 )

Branch: pristine-tar

diff --git a/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.delta b/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.delta
new file mode 100644
index 0000000..03e1b09
Binary files /dev/null and b/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.delta differ
diff --git a/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.id b/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.id
new file mode 100644
index 0000000..d9a2ca1
--- /dev/null
+++ b/ocaml-dssi_0.1.5+git20220111.1.9e75cbb.orig.tar.gz.id
@@ -0,0 +1 @@
+2b0804fe082364129a12684ef8756614bb99e08f

Branch: upstream

Tag: upstream/0.1.5+git20220111.1.9e75cbb
diff --git a/dssi.opam b/dssi.opam
index bda950e..95c3ee1 100644
--- a/dssi.opam
+++ b/dssi.opam
@@ -10,6 +10,7 @@ bug-reports: "https://github.com/savonet/ocaml-dssi/issues"
 depends: [
   "dune" {>= "2.8"}
   "dune-configurator"
+  "ocaml" {>= "4.08"}
   "ladspa" {>= "0.2.1"}
   "conf-dssi"
   "odoc" {with-doc}
diff --git a/dune-project b/dune-project
index 41b7527..e4bc5c7 100644
--- a/dune-project
+++ b/dune-project
@@ -15,6 +15,7 @@
  (depends
   dune
   dune-configurator
+  (ocaml (>= 4.08))
   (ladspa (>= 0.2.1))
   conf-dssi)
 )

Publish Blockers

  • ☑ run was successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☒ merge proposals for the package maintainer are currently being rate-limited (open: 164, max open: 151)
  • ☑ change set 21153f48-f919-46a0-adc7-2defc8deb4f9 is ready

Resulting package

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots libdssi-ocaml-dbgsymapt install -t fresh-snapshots libdssi-ocaml-dev-dbgsymapt install -t fresh-snapshots libdssi-ocaml-devapt install -t fresh-snapshots libdssi-ocaml

Lintian Result

Full worker log Full build log